backend:
  name: github
  repo: eddie-queworx/queworx.com
  branch: main

media_library:
  name: cloudinary
  config:
    cloud_name: 'dp8doaqhg'
    api_key: '348494793898638'

collections:
  - name: "posts"
    label: "Posts"
    folder: "src/content/blog"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    format: "frontmatter"
    extension: "mdx"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text" }
      - { label: "Publish Date", name: "pubDate", widget: "datetime" }
      - { label: "Updated Date", name: "updatedDate", widget: "datetime", required: false }
      - { label: "Author", name: "author", widget: "string", required: false }
      - { label: "Categories", name: "categories", widget: "list", required: false }
      - { label: "Tags", name: "tags", widget: "list", required: false }
      - { label: "Hero Image", name: "heroImage", widget: "image", required: false }
      - { label: "Canonical URL", name: "canonicalURL", widget: "string", required: false }
      - { label: "Body", name: "body", widget: "markdown" }
